Bug 77693 - Add the "JS" prefix to JSC specific IDL attributes
Summary: Add the "JS" prefix to JSC specific IDL attributes
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore JavaScript (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Kentaro Hara
URL:
Keywords:
Depends on:
Blocks: 77393
  Show dependency treegraph
 
Reported: 2012-02-02 17:27 PST by Kentaro Hara
Modified: 2012-02-04 02:13 PST (History)
7 users (show)

See Also:


Attachments
Patch (117.99 KB, patch)
2012-02-02 17:51 PST, Kentaro Hara
no flags Details | Formatted Diff | Diff
rebased patch for commit (118.38 KB, patch)
2012-02-03 16:41 PST, Kentaro Hara
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kentaro Hara 2012-02-02 17:27:01 PST
Some JSC specific IDLs do not have "JS" prefix, e.g. [CustomIsReachable]. It might be OK since JSC is the main JavaScript engine in WebKit, but distinguishing IDLs widely used in WebKit and IDLs used in JSC only would help people understand the role of IDLs.

In this bug, we rename the following JSC specific IDLs:

CustomFinalize => JSCustomFinalize
CustomIsReachable => JSCustomIsReachable
CustomMarkFunction => JSCustomMarkFunction
CustomToJS => JSCustomToJS
CustomNativeConverter => JSCustomToNativeObject    (Note: For naming consistency with [JSCustomToJS])
GenerateIsReachable => JSGenerateIsReachable
GenerateToJS => JSGenerateToJS
NoStaticTables => JSNoStaticTables
WindowEventListener => JSWindowEventListener
InlineGetOwnPropertySlot => JSInlineGetOwnPropertySlot
DelegatingPrototypePutFunction => JSCustomPrototypePutDelegate
Comment 1 Kentaro Hara 2012-02-02 17:51:03 PST
Created attachment 125219 [details]
Patch
Comment 2 Kentaro Hara 2012-02-03 01:17:39 PST
Darin: Would you please review this patch? ("JS" prefixing is acceptable or not)
Comment 3 Kentaro Hara 2012-02-03 16:41:32 PST
Reopening to attach new patch.
Comment 4 Kentaro Hara 2012-02-03 16:41:36 PST
Created attachment 125446 [details]
rebased patch for commit
Comment 5 WebKit Review Bot 2012-02-04 02:13:08 PST
Comment on attachment 125446 [details]
rebased patch for commit

Clearing flags on attachment: 125446

Committed r106737: <http://trac.webkit.org/changeset/106737>
Comment 6 WebKit Review Bot 2012-02-04 02:13:13 PST
All reviewed patches have been landed.  Closing bug.